#include <bits/stdc++.h>
using namespace std;
int main(){
    char a,b;
    int na,nb;
    cin>>a>>b>>na>>nb;
    if(na==nb){
        for(int i=0;i<na;i++){
            cout<<a<<b;
        }
    }else{
        if(na==nb+1){
            for(int i=0;i<nb;i++){
                cout<<a<<b;
            }
            cout<<a;
        }else{
            if(nb==na+1){
                cout<<b;
                for(int i=0;i<na;i++){
                    cout<<a<<b;
                }
            }else{
                cout<<"nemoguce";
            }
        }
    }
}